Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/ComponentRegistry.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/ComponentRegistry.java	(revision 5549)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/ComponentRegistry.java	(revision 5550)
@@ -213,5 +213,5 @@
      * @throws DeleteFailedException
      */
-    public void deleteComment(String commentId) throws IOException, ComponentRegistryException, UserUnauthorizedException,
+    public void deleteComment(String commentId) throws IOException, UserUnauthorizedException,
 	    DeleteFailedException, ItemNotFoundException;
 
Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/impl/database/ComponentRegistryDbImpl.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/impl/database/ComponentRegistryDbImpl.java	(revision 5549)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/impl/database/ComponentRegistryDbImpl.java	(revision 5550)
@@ -284,6 +284,5 @@
                     return comment;
                 } else {
-                    // Comment exists in DB, but profile is not in this registry
-                    throw new ComponentRegistryException("Comment " + commentId + " cannot be found in specified registry");
+                    throw new ComponentRegistryException("Comment " + commentId  + "for the profile "+profileId);
                 }
             } catch (DataAccessException ex) {
@@ -323,8 +322,5 @@
                     return comment;
                 } else {
-                    // Comment does not exists in DB or component is not in this
-                    // registry
-                    throw new ComponentRegistryException("Comment " + commentId
-                            + " cannot be found in specified registry for specified component");
+                    throw new ComponentRegistryException("Comment " + commentId  + "for the profile "+componentId);
                 }
             } catch (DataAccessException ex) {
@@ -809,5 +805,5 @@
 
     @Override
-    public void deleteComment(String commentId) throws IOException, ComponentRegistryException, 
+    public void deleteComment(String commentId) throws IOException, 
             UserUnauthorizedException, DeleteFailedException, ItemNotFoundException {
         try {
@@ -822,5 +818,5 @@
             } else {
                 // Comment exists in DB, but component is not in this registry
-                throw new ComponentRegistryException("Comment " + commentId + " cannot be found in specified registry");
+                throw new ItemNotFoundException("Comment " + commentId + " cannot be found in specified registry");
             }
         } catch (DataAccessException ex) {
Index: /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java	(revision 5549)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/main/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestService.java	(revision 5550)
@@ -28,4 +28,6 @@
 import clarin.cmdi.componentregistry.rss.RssCreatorDescriptions;
 import com.google.common.collect.Lists;
+import com.sun.jersey.api.client.ClientResponse;
+import com.sun.jersey.api.client.UniformInterfaceException;
 
 import com.sun.jersey.api.core.InjectParam;
@@ -311,4 +313,5 @@
                         }
                     };
+                    return createDownloadResponse(result, fileName);
                 } else if ("xsd".equalsIgnoreCase(rawType)) {
                     result = new StreamingOutput() {
@@ -344,11 +347,9 @@
                         }
                     };
+                    return createDownloadResponse(result, fileName);
                 } else {
-                    throw new WebApplicationException(Response
-                            .serverError()
-                            .entity("unsupported rawType: " + rawType
-                            + " (only xml or xsd are supported)").build());
+                    return Response.status(Status.NOT_FOUND).entity("Usupported raw type "+rawType).build();
                 }
-                return createDownloadResponse(result, fileName);
+                
 
             } catch (UserUnauthorizedException e2) {
@@ -876,6 +877,5 @@
                     .build();
         } catch (ItemNotFoundException e) {
-            LOG.warn("Profile with id " + profileId + " is not found.",
-                    e);
+            LOG.warn("Profile with id " + profileId + " is not found.");
             return Response.serverError().status(Status.NOT_FOUND)
                     .build();
@@ -931,9 +931,11 @@
             return Response.serverError().status(Status.FORBIDDEN)
                     .entity("" + e.getMessage()).build();
-        } catch (ComponentRegistryException e) {
-            LOG.info("Could not retrieve component", e);
+        } 
+        catch (ComponentRegistryException e) {
+            LOG.info("Could not find comment "+commentId+ " for "+profileId);
             return Response.serverError().status(Status.INTERNAL_SERVER_ERROR)
                     .build();
-        } catch (IOException e) {
+        } 
+        catch (IOException e) {
             LOG.error("Comment with id: " + commentId + " deletion failed.", e);
             return Response.serverError().status(Status.INTERNAL_SERVER_ERROR)
@@ -983,6 +985,6 @@
             return Response.serverError().status(Status.FORBIDDEN)
                     .entity("" + e.getMessage()).build();
-        } catch (ComponentRegistryException e) {
-            LOG.info("Could not retrieve component", e);
+        } catch (ComponentRegistryException e) {            
+            LOG.info("Could not retrieve component "+componentId+" for the component "+componentId);
             return Response.serverError().status(Status.INTERNAL_SERVER_ERROR)
                     .build();
@@ -1012,5 +1014,5 @@
     public Response getRegisteredProfileRawType(
             @PathParam("profileId") final String profileId,
-            @PathParam("rawType") String rawType) throws ComponentRegistryException {
+            @PathParam("rawType") String rawType) throws ComponentRegistryException, IllegalArgumentException {
 
 
@@ -1064,8 +1066,5 @@
                 };
             } else {
-                throw new WebApplicationException(Response
-                        .serverError()
-                        .entity("unsupported rawType: " + rawType
-                        + " (only xml or xsd are supported)").build());
+                return Response.status(Status.NOT_FOUND).entity("Unsupported raw type "+rawType).build();
             }
             return createDownloadResponse(result, fileName);
Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5549)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5550)
@@ -24,4 +24,5 @@
 import java.util.Date;
 import java.util.List;
+import javax.ws.rs.WebApplicationException;
 
 import javax.ws.rs.core.MediaType;
@@ -40,10 +41,9 @@
  * Launches a servlet container environment and performs HTTP calls to the
  * {@link ComponentRegistryRestService}
- * 
+ *
  * @author george.georgovassilis@mpi.nl
- * 
+ *
  */
-public class ComponentRegistryRestServiceTest extends
-	ComponentRegistryRestServiceTestCase {
+public class ComponentRegistryRestServiceTest extends ComponentRegistryRestServiceTestCase {
 
     @Autowired
